//package com.huimv.eartag2.manage2.config;
//
//import org.apache.shardingsphere.api.sharding.complex.ComplexKeysShardingAlgorithm;
//import org.apache.shardingsphere.api.sharding.complex.ComplexKeysShardingValue;
//
//import java.text.SimpleDateFormat;
//import java.util.Collection;
//import java.util.Date;
//
//public class TableShardingAlgorithm implements ComplexKeysShardingAlgorithm<Long> {
//
//    @Override
//    public Collection<String> doSharding(
//            Collection<String> availableTargetNames, ComplexKeysShardingValue<Long> shardingValue) {
//        // 实现自定义分表逻辑，返回需要查询的表名集合
//        // shardingValue 包含了分片键值，可以根据业务需要进行逻辑判断
//
//        // 这里假设根据日期字段  进行分表
//        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMM");
//        Long dateValue = shardingValue.getColumnNameAndShardingValuesMap().get("creat_date").iterator().next();
//        String tableSuffix = sdf.format(new Date(dateValue));
//
//        return availableTargetNames.stream()
//                .filter(name -> name.endsWith("_" + tableSuffix))
//                .findFirst()
//                .map(Collection::singleton)
//                .orElse(availableTargetNames);
//    }
//}
